package de.intevation.flys.artifacts.model;

import org.apache.log4j.Logger;

import de.intevation.artifacts.Artifact;
import de.intevation.artifacts.CallContext;

import de.intevation.artifactdatabase.state.DefaultFacet;

import de.intevation.flys.artifacts.WINFOArtifact;

import de.intevation.flys.artifacts.states.DefaultState.ComputeType;

public class WaterlevelFacet extends DefaultFacet {

    private static Logger logger = Logger.getLogger(WaterlevelFacet.class);


    public WaterlevelFacet(int index, String name, String description) {
        super(index, name, description);
    }


    public Object getData(Artifact artifact, CallContext context) {
        logger.debug("Get data for waterlevels at index: " + index);

        WINFOArtifact winfo = (WINFOArtifact)artifact;

        CalculationResult res = (CalculationResult)
            winfo.compute(context, ComputeType.ADVANCE, false);

        WQKms [] wqkms = (WQKms [])res.getData();

        return wqkms[index];
    }
}
// vim:set ts=4 sw=4 si et sta sts=4 fenc=utf8 :
